# Property file for the web service client. Used to specify
# URL to web service and path to keystore.

# Web Service URL. Important the hostname MUST match the CN of the server certificate.
# The wsdl schema location is the URL below with '?wsdl' in the end.
# For example: https://localhost:8443/ejbca/ejbcaws/ejbcaws?wsdl
#
# default: https://localhost:8443/ejbca/ejbcaws/ejbcaws
# for standalone ejbcaws.war deployment use: https://localhost:8443/ejbcaws/ejbcaws
#ejbcawsracli.url = https://localhost:8443/ejbca/ejbcaws/ejbcaws

# Path to the keystore used to authenticate the client to the Web Service. 
# The keystore can be:
# 1. a java keystore (.jks). If ejbcawsracli.truststore.path is not set the CA certificate of the tomcat server certificate must be in in its truststore, and the server certificate is validated against this.
# 2. a PKCS12 keystore (.p12). If ejbcawsracli.truststore.path is not set an acceptAll truststore policy will then be used so the servers certificate is not verified against a truststore.
#default : keystore.jks
#ejbcawsracli.keystore.path = ../../p12/superadmin.p12

# A shared library path to a PKCS#11 so a HSM or smartcard could be used. If ejbcawsracli.truststore.path is not set an acceptAll truststore policy will then be used so the servers certificate is not verified against a truststore.
#ejbcawsracli.p11.sharedlibrary = /usr/lib/libaetpkss.so
# The slot number/index/label to be used
#ejbcawsracli.p11.slot = 0
#ejbcawsracli.p11.slot = i0
#ejbcawsracli.p11.slot = slotlabel
# The type of the above label
#ejbcawsracli.p11.slotlabeltype = SLOT_NUMBER
#ejbcawsracli.p11.slotlabeltype = SLOT_INDEX
#ejbcawsracli.p11.SLOT_LABEL = SLOT_NUMBER

#Password to unlock the keystore. 
# Comment out this to prompt for every time the client starts.
#ejbcawsracli.keystore.password = ejbca

# Path to the truststore used to authenticate the Web Services server certificate.
# If not set settings from the keystore is used, see ejbcawsracli.keystore.path
#default: not set 
#ejbcawsracli.truststore.path=
